DSA 496-1: New eterm packages
Posted on: 04/29/2004 04:07 PM

Updated eterm packages has been released for Debian GNU/Linux

---------------------------------------------------------------------------
Debian Security Advisory DSA 496-1 security@debian.org
http://www.debian.org/security/ Martin Schulze
April 29th, 2004 http://www.debian.org/security/faq
---------------------------------------------------------------------------

Package : eterm
Vulnerability : missing input sanitising
Problem-Type : remote
Debian-specific: no
CVE ID : CAN-2003-0068
Debian Bug : 244808

H.D. Moore discovered several terminal emulator security issues. One of them covers escape codes that are interepreted by the terminal emulator. This could be exploited by an attacker to insert malicious commands hidden for the user, who has to hit enter to continue, which would also execute the hidden commands.

For the stable distribution (woody) this problem has been fixed in version 0.9.2-0pre2002042903.3.

For the unstable distribution (sid) this problem has been fixed in version eterm-0.9.2-6.

We recommend that you upgrade your eterm package.


Upgrade Instructions
---------------------

wget url
will fetch the file for you
dpkg -i file.deb
will install the referenced file.

If you are using the apt-get package manager, use the line for sources.list as given below:

apt-get update
will update the internal database
apt-get upgrade
will install corrected packages

You may use an automated update by adding the resources from the footer to the proper configuration.


Debian GNU/Linux 3.0 alias woody
---------------------------------

Source archives:

http://security.debian.org/pool/updates/main/e/eterm/eterm_0.9.2-0pre2002042903.3.dsc
Size/MD5 checksum: 580 8dd9405e97daadcc36d2a5567df12426
http://security.debian.org/pool/updates/main/e/eterm/eterm_0.9.2-0pre2002042903.3.tar.gz
Size/MD5 checksum: 669587 4690c66ab263457814d6800a6eee9677

Alpha architecture:

http://security.debian.org/pool/updates/main/e/eterm/eterm_0.9.2-0pre2002042903.3_alpha.deb
Size/MD5 checksum: 389948 f1b70024aa0cfb527fc42db5c8fd523b

ARM architecture:

http://security.debian.org/pool/updates/main/e/eterm/eterm_0.9.2-0pre2002042903.3_arm.deb
Size/MD5 checksum: 374172 a35e3d97314e32cc90eab9ba19e87d3a

Intel IA-32 architecture:

http://security.debian.org/pool/updates/main/e/eterm/eterm_0.9.2-0pre2002042903.3_i386.deb
Size/MD5 checksum: 332370 0179b15476844c00173d17d6f15c728c

Intel IA-64 architecture:

http://security.debian.org/pool/updates/main/e/eterm/eterm_0.9.2-0pre2002042903.3_ia64.deb
Size/MD5 checksum: 450200 db01699764205f0e7c8b643ffb0a903d

HP Precision architecture:

http://security.debian.org/pool/updates/main/e/eterm/eterm_0.9.2-0pre2002042903.3_hppa.deb
Size/MD5 checksum: 390284 8b13e7fe3ed441b534c4c774c62cdb7e

Motorola 680x0 architecture:

http://security.debian.org/pool/updates/main/e/eterm/eterm_0.9.2-0pre2002042903.3_m68k.deb
Size/MD5 checksum: 336784 eb98128c5b89f91c2b1ccc6375ae2497

Big endian MIPS architecture:

http://security.debian.org/pool/updates/main/e/eterm/eterm_0.9.2-0pre2002042903.3_mips.deb
Size/MD5 checksum: 335892 01e766279f9a70b749fe6fbe4eb05f04

Little endian MIPS architecture:

http://security.debian.org/pool/updates/main/e/eterm/eterm_0.9.2-0pre2002042903.3_mipsel.deb
Size/MD5 checksum: 335070 4ec83c9bb3f874f6e68b822588cc2f25

PowerPC architecture:

http://security.debian.org/pool/updates/main/e/eterm/eterm_0.9.2-0pre2002042903.3_powerpc.deb
Size/MD5 checksum: 365352 f129cf9a14150e45a60158560f9668d8

IBM S/390 architecture:

http://security.debian.org/pool/updates/main/e/eterm/eterm_0.9.2-0pre2002042903.3_s390.deb
Size/MD5 checksum: 356112 29a7e88d5753361949e1240450f6ac85

Sun Sparc architecture:

http://security.debian.org/pool/updates/main/e/eterm/eterm_0.9.2-0pre2002042903.3_sparc.deb
Size/MD5 checksum: 368946 64afcd5edbccd980d8b2f97f09c657dd


These files will probably be moved into the stable distribution on its next update.


Printed from Linux Compatible (http://www.linuxcompatible.org/news/story/dsa_496_1_new_eterm_packages.html)